Java.com

下载 帮助

可打印版本

使用 Java 有哪些系统要求?


本文适用于:
  • Java 版本: 7.0, 8.0

此页上的系统要求信息表示的是一部分,用于提供对支持的浏览器和操作系统的概览。

Java 8 系统要求

有关 Java 8 系统要求的详细信息,请参见 Java 8 支持的系统配置

Windows

  • Windows 10(8u51 和更高版本)
  • Windows 8.x(桌面)
  • Windows 7 SP1
  • Windows Vista SP2
  • Windows Server 2008 R2 SP1(64 位)
  • Windows Server 2012 和 2012 R2(64 位)
  • RAM:128 MB
  • 磁盘空间:JRE 为 124 MB;Java Update 为 2 MB
  • 处理器:最低 Pentium 2 266 MHz 处理器
  • 浏览器:Internet Explorer 9 和更高版本,Firefox

Mac OS X

  • 基于 Intel 的 Mac,运行 Mac OS X 版本 10.8.3 和更高版本、10.9 和更高版本
  • 需要管理员权限才能安装
  • 64 位浏览器
要在 Mac 上运行 Oracle Java,需要 64 位浏览器(例如 Safari)。

Linux

  • Oracle Linux 5.5 和更高版本1
  • Oracle Linux 6.x(32 位),6.x(64 位)2
  • Oracle Linux 7.x(64 位)2(8u20 和更高版本)
  • Red Hat Enterprise Linux 5.5 和更高版本1,6.x(32 位),6.x(64 位)2
  • Red Hat Enterprise Linux 7.x(64 位)2(8u20 和更高版本)
  • Suse Linux Enterprise Server 10 SP2+,11.x
  • Suse Linux Enterprise Server 12.x(64 位)2(8u31 和更高版本)
  • Ubuntu Linux 12.04 LTS,13.x
  • Ubuntu Linux 14.x(8u25 和更高版本)
  • Ubuntu Linux 15.04(8u45 和更高版本)
  • Ubuntu Linux 15.10(8u65 和更高版本)
  • 浏览器:Firefox
Solaris 系统要求

有关支持的平台、操作系统、桌面管理器和浏览器的信息,请参阅支持的 Java 8 系统配置



Java 7 系统要求

有关 Java 7 系统要求的详细信息,请参见 Java 7 支持的系统配置

Windows

  • Windows 10(7u85 和更高版本)
  • Windows 8.x(桌面)
  • Windows 7 SP1
  • Windows Vista SP2
  • Windows Server 2008 SP2 和 2008 R2 SP1(64 位)
  • Windows Server 2012(64 位)和 2012 R2(64 位)
  • RAM:128 MB;对于 Windows XP(32 位),为 64 MB
  • 磁盘空间:124 MB
  • 浏览器:Internet Explorer 7.0 和更高版本,Firefox 3.6 和更高版本

注:从 2014 年 4 月 8 日开始,Microsoft 停止支持 Windows XP,因此它不再是受官方支持的平台。用户可以自担风险,仍然在 Windows XP 上使用 Java 7 更新,但仅针对 Microsoft Windows 发行版 Windows Vista 或更高版本提供支持。有关详细信息,请参阅 Third Party Vendor-Specific Support Terms on Oracle Software Technical Support Policies (pdf)。

Mac OS X

  • 基于 Intel 的 Mac,运行 Mac OS X 版本 10.7.3 和更高版本、10.8.3 和更高版本、10.9 和更高版本
  • 需要管理员权限才能安装
  • 64 位浏览器
要在 Mac 上运行 Oracle Java,需要 64 位浏览器(例如 Safari)。

Linux

  • Oracle Linux 5.5 以上
  • Oracle Linux 6.x(32 位),6.x(64 位)3
  • Oracle Linux 7.x(64 位)3(7u67 和更高版本)
  • Red Hat Enterprise Linux 5.5 和更高版本,6.x(32 位),6.x(64 位)3
  • Red Hat Enterprise Linux 7.x(64 位)3(7u67 和更高版本)
  • Suse Linux Enterprise Server 10 SP2,11.x
  • Suse Linux Enterprise Server 12.x(7u75 和更高版本)
  • Ubuntu Linux 10.04 和更高版本
  • 浏览器:Firefox 3.6 及更高版本
Solaris 系统要求

有关支持的平台、操作系统、桌面管理器和浏览器的信息,请参阅支持的 Java 7 系统配置


1不支持 JavaFX
2仅支持 64 位 JRE
3 只有 64 位 JVM 经过认证。



选择语言 | 关于 Java | 支持 | 开发人员
隐私政策  | 使用条款 | 商标 | 免责声明

Oracle